Aller au contenu principal

AWS Cloud Connectivity - Public Self Made - Remplacer (PUT)

Cette page d?crit l'op?ration Remplacer (PUT) de l'API AWS Cloud Connectivity. Utilisez un jeton JWT bearer valide.

PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/publicselfmades/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Param?tres​

Param?treEmplacementObligatoireType / valeur par d?faut
idpathYesstring uuid
projectIdpathYesstring uuid

Corps de la requ?te​

Champ JSONObligatoireType / remarques
nameYesstring: cloud connector name
stateYesstring (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state
bandwidthYesinteger int32: cloud connector bandwidth
maxBandwidthNointeger int32: cloud connector maximum bandwidth
technicalVpnIdYesstring uuid: network connector uuid associated with the cloud connector
awsCredentialIdYesstring uuid: aws credential uuid to be used to manage the cloud connector on aws
networkSideAsnYesinteger int64: network side asn
serviceLevelYesstring (Ha, Standard): service level of the cloud connector
primaryPopLocalizationYesstring: primary pop localization of the cloud connector
secondaryPopLocalizationNostring: secondary pop localization of the cloud connector
networkSideGatewaySubnetPrimaryYesstring: primary network side gateway subnet
networkSideGatewaySubnetSecondaryNostring: secondary network side gateway subnet
targetGatewayIdYesstring: virtual or transit gateway provisioned in AWS
regionYesstring: cloud connector region

R?ponse​

R?ponse de succ?s : 200. ok Response schema: object.